package com.scenegraphshell;

import com.sun.scenario.scenegraph.*;
import com.sun.scenario.animation.Timeline;

import javax.swing.*;
import javax.swing.border.TitledBorder;
import java.awt.*;

/**
 * Previews the current scenegraph and start animations (if any)
 */
public class ScenegraphPreviewComponent extends JPanel {
    private JSGPanel scenegraphView = new JSGPanel();
    public ScenegraphPreviewComponent() {
        setBorder(new TitledBorder("Preview"));
        setLayout(new BorderLayout());
        add(scenegraphView, BorderLayout.CENTER);

    }

    public void setScene(SGNode node, Timeline timeline){
        scenegraphView.setScene(node);
        if (timeline!=null){
            timeline.start();
        }
    }
}
